<template>
  <div>
    <formulario-persona :actualizar="actualizar" :nomb="nombre" :apellido="apellido" :email="email" :telefono="telefono" :edad="edad" />
    <listado-personas @objPersona="capturarPersona($event)" />
  </div>
</template>

<script>
import FormularioPersona from "../components/FormularioPersona.vue";
import ListadoPersonas from "../components/ListadoPersonas.vue";

export default {
  data: ()=>{
    return {
      nombre: "",
      apellido: "",
      email: "",
      telefono: "",
      cedula: "",
      edad: "",
      actualizar: false
    }
  },
  components: {
    FormularioPersona,
    ListadoPersonas,
  },
  methods: {
    capturarPersona(obj){
      console.log("Estoy en el padre -> ", obj);
      this.nombre = obj.nombre;
      this.apellido = obj.apellido;
      this.email = obj.email;
      this.telefono = obj.telefono;
      this.edad = obj.edad;
      this.actualizar = true;
    }
  }
};
</script>

<style>
</style>